<top-nav *ngIf="genres$ | async as genres" 
    [buttons]="genres"
    [filters]="appliedFilters"
    (filterSelected)="changeFilter($event)"
></top-nav>
<main *ngIf="popularMovies" >
    <section>
        <movie-list [cols]="movieListCols" 
            [movies]="movieList">
        </movie-list>
    </section>
    <paginator 
        [totalPages]="popularMovies.total_pages" 
        [paginatorSize]="paginatorSize" 
        [pageIndex]="activePage">
    </paginator>
</main>
